[![Gem Version][GV img]][Gem Version]
[![Build Status][BS img]][Build Status]
[![Dependency Status][DS img]][Dependency Status]
[![Coverage Status][CS img]][Coverage Status]

[Gem Version]: https://rubygems.org/gems/ripe_db_client
[Build Status]: https://travis-ci.org/msimkins/RipeDbClient
[travis pull requests]: https://travis-ci.org/msimkins/RipeDbClient/pull_requests
[Dependency Status]: https://gemnasium.com/msimkins/RipeDbClient
[Coverage Status]: https://coveralls.io/r/msimkins/RipeDbClient

[GV img]: https://badge.fury.io/rb/RipeDbClient.png
[BS img]: https://travis-ci.org/msimkins/RipeDbClient.png
[DS img]: https://gemnasium.com/msimkins/RipeDbClient.png
[CS img]: https://coveralls.io/repos/msimkins/RipeDbClient/badge.png?branch=master

# RipeDbClient

This GEM is an interface to the RIPE Database API, using their RESTFUL access service

## Installation

Add this line to your application's Gemfile:

    gem 'ripe_db_client'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ripe_db_client

## Usage

### Create a Client Object

    client = RipeDbClient::Query.new

### Lookup a database object by type, and reference

    some_hash = client.lookup('mntner','RIPE-DBM-MNT')



## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
