# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ripe_db_client/version'

Gem::Specification.new do |spec|
  spec.name          = 'ripe_db_client'
  spec.version       = RipeDbClient::VERSION
  spec.authors       = ['Mike Simkins']
  spec.email         = ['software@g7obs.com']
  spec.description   = %q{Programatical Interface to the RIPE Database API (REST Client) - THIS IS NOT YET READY FOR PRIME TIME}
  spec.summary       = %q{This provides a number of methods to query the RIPE Database, or to Update the Database }
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  # RubyForge info
  spec.homepage = 'http://ripedbclient.rubyforge.org'
  spec.rubyforge_project = 'ripedbclient'

  spec.add_development_dependency 'bundler', '~> 1.3.0'
  spec.add_development_dependency 'rake', '~> 10.0.0'
  spec.add_development_dependency 'rspec', '~> 2.12.0'
  spec.add_development_dependency 'yard', '~> 0.8.0'
  spec.add_development_dependency 'redcarpet', '~> 2.2.0'
  spec.add_development_dependency 'vcr', '~> 2.4.0'
  spec.add_development_dependency 'webmock', '~> 1.10.0'
  spec.add_development_dependency 'simplecov', '~> 0.7.0'
  spec.add_development_dependency 'coveralls', '~> 0.6.0'

  spec.add_dependency 'httparty', '~> 0.11.0'
  spec.add_dependency 'hashie', '~> 2.0.0'
end
